Subject: FvwmForm buglet

From: [email-masked]
Date: Mon, 21 Jun 1999 17:54:22 -0500 (CDT)

Full_Name: Tom Spindler
Version: 2.2.2
CVS_Date: 
OS: sparc solaris 2.7
X_Server: solaris 2.7 (X11R6)
Submission from: (NULL) (204.71.194.75)

When compiling fvwm 2.2.2, egcs reports...

gcc -R/usr/local/lib -L/usr/local/lib -R/usr/openwin/lib -DHAVE_CONFIG_H
-I. -I. -I../.. -I../../libs  -I/usr/openwin/include    -g -O2 -c
FvwmForm.c
FvwmForm.c: In function `ReadXServer':
FvwmForm.c:1343: warning: comparison is always 0 due to limited range of
data type

This is because line 1343 is this:
             (buf[0] >= 160)) {         /* regular or intl char */
 
and buf is defined as
  static char buf[10], n; 

this should probably be 'static unsigned char buf[10];'.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]